Tool
deployment_cloud_sql_instance_restore
Restore the managed Postgres (Cloud SQL) instance IN-PLACE from a backup run (destructive — overwrites current data).
Restore the managed Postgres (Cloud SQL) instance IN-PLACE from a backup run (destructive — overwrites current data).
Behavior
- HTTP
POST /deployment/cloud-sql/instances/:instanceId/restore
Arguments
Name | Type | Required | Description |
|---|---|---|---|
instanceId | string | • | No description in the catalog. |
backupRunId | string | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
name | string | • | |
tier | string | • | |
label | string | • | |
region | string | • | |
status | string | • | |
createdAt | string | • | |
pgVersion | string | • | |
privateIp | string | • | |
productId | string | • | |
updatedAt | string | • | |
pitrEnabled | boolean | • | |
backupsEnabled | boolean | • | |
connectionName | string | • | |
lastErrorMessage | string | • | |
backupConfigObservedAt | string | • |
Try it
Restore the managed Postgres (Cloud SQL) instance IN-PLACE from a backup run (destructive — overwrites current data).